#2011, Eulalie Sauthier, Master Thesis

scatter_p_vs_r <- function(prec_input,glaciers,vec_name,vec_name_p,col_r,xlim1,xlim2,ylim1,ylim2) {
#permet de tracer le nuages de points de deux jeux de données

name=paste("Préc. à", colnames(vec_name_p), "avec retrait à", colnames(vec_name)[col_r]) #nom de fichier

min_p<-min(time(prec_input)) #départ du jeu de données 1
max_p<-max(time(prec_input)) #fin du jeu de données 1

min_r<-min(time(glaciers)) #départ du jeu de données 2
max_r<-max(time(glaciers)) #fin du jeu de données 2

depart<-max(min_p, min_r) #fin des jeux de données
fin<-min(max_p, max_r) #fin des jeux de données

fin_p<-which(time(prec_input)== min(max_r,max_p)) #fin en années jeu 1
depart_p<-which(time(prec_input)== max(min_p,min_r))#départ en années jeu 1
# 
fin_r<-which(time(glaciers)== min(max_r,max_p)) #fin en années jeu 2
depart_r<-which(time(glaciers)== max(min_p,min_r))#départ en années jeu 2
 
prec<-prec_input[depart_p : fin_p] #renomme
glac<-glaciers[depart_r : fin_r] #renomme

mou<-Kendall(prec, glac) #calcule les corrélations entre les signaux
print(mou$tau) #affiche les valeurs dans la console

reg1<-lm(glac~prec) #calcule la régression
int<-confint(reg1) #intervale de confiance

pd<-paste("../Image/Scatter",name,".pdf")
pdf(pd)
plot(prec, glac,main = name,xlim=c(xlim1,xlim2),ylim=c(ylim1, ylim2))
abline(reg1) #affiche la régression
dev.off()
}